sa_net_interface Struct Reference
Network interface

## Data Fields

char | name [SA_NET_INTERFACE_NAME]
| Interface's name. It's used as the unique identifier of the interface.
uint64_t | received_bytes
| Total number of received bytes.
uint64_t | received_packets
| Total number of received packets.
uint64_t | received_errors
| Amount of received errors.
uint64_t | received_drop
| Total number of received packets that had been dropped.
uint64_t | received_fifo
| The number of fifo buffer errors received.
uint64_t | received_compressed
| The number of compressed packets received by the device driver.
uint64_t | received_multicast
| Number of packets received which were sent by link-layer multicast.
uint64_t | sent_bytes
| Total number of transmitted bytes.
uint64_t | sent_packets
| Total number of sent packets.
uint64_t | sent_errors
| Amount of sent errors.
uint64_t | sent_drop
| Total number of sent packets that had been dropped.
uint64_t | sent_fifo
| The number of fifo buffer errors sent.
uint64_t | sent_compressed
| The number of compressed packets transmitted by the device driver.
uint64_t | sent_multicast
| Number of packets sent by link-layer multicast.

## Detailed Description

This structure gathers the details about the activity of one network interface.

The documentation for this struct was generated from the following file:

- src/common/network.h